GDBserver

Public Attributes | List of all members
eval_agent_expr_context Struct Reference

`#include "ax.h"`

## Public Attributes
struct regcache * | regcache
struct traceframe * | tframe
struct tracepoint * | tpoint

## Detailed Description

Definition at line 74 of file ax.h.

## Member Data Documentation

## ◆ regcache

struct regcache* eval_agent_expr_context::regcache

Definition at line 77 of file ax.h.

Referenced by condition_true_at_tracepoint(), do_action_at_tracepoint(), gdb_condition_true_at_breakpoint_z_type(), gdb_eval_agent_expr(), and run_breakpoint_commands_z_type().

## ◆ tframe

struct traceframe* eval_agent_expr_context::tframe

Definition at line 79 of file ax.h.

Referenced by agent_mem_read(), agent_mem_read_string(), agent_tsv_read(), condition_true_at_tracepoint(), do_action_at_tracepoint(), gdb_condition_true_at_breakpoint_z_type(), run_breakpoint_commands_z_type(), and traceframe_find_regblock().

## ◆ tpoint

struct tracepoint* eval_agent_expr_context::tpoint

Definition at line 81 of file ax.h.

Referenced by agent_mem_read(), agent_mem_read_string(), agent_tsv_read(), condition_true_at_tracepoint(), do_action_at_tracepoint(), gdb_condition_true_at_breakpoint_z_type(), and run_breakpoint_commands_z_type().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/ax.h